### Enumeration

# Gtk AccessibleProperty

#### Declaration

    enum Gtk.AccessibleProperty

#### Description [src]

The possible accessible properties of a `GtkAccessible`.

#### Members

`GTK_ACCESSIBLE_PROPERTY_AUTOCOMPLETE`

  Indicates whether inputting text could trigger display of one or more predictions of the user’s intended value for a combobox, searchbox, or textbox and specifies how predictions would be presented if they were made. Value type: `GtkAccessibleAutocomplete`.

  - Value: `0`
  - Available since: 4.0
`GTK_ACCESSIBLE_PROPERTY_DESCRIPTION`

  Defines a string value that describes or annotates the current element. Value type: string.

  - Value: `1`
  - Available since: 4.0
`GTK_ACCESSIBLE_PROPERTY_HAS_POPUP`

  Indicates the availability and type of interactive popup element, such as menu or dialog, that can be triggered by an element.

  - Value: `2`
  - Available since: 4.0
`GTK_ACCESSIBLE_PROPERTY_KEY_SHORTCUTS`

  Indicates keyboard shortcuts that an author has implemented to activate or give focus to an element. Value type: string.

  - Value: `3`
  - Available since: 4.0
`GTK_ACCESSIBLE_PROPERTY_LABEL`

  Defines a string value that labels the current element. Value type: string.

  - Value: `4`
  - Available since: 4.0
`GTK_ACCESSIBLE_PROPERTY_LEVEL`

  Defines the hierarchical level of an element within a structure. Value type: integer.

  - Value: `5`
  - Available since: 4.0
`GTK_ACCESSIBLE_PROPERTY_MODAL`

  Indicates whether an element is modal when displayed. Value type: boolean.

  - Value: `6`
  - Available since: 4.0
`GTK_ACCESSIBLE_PROPERTY_MULTI_LINE`

  Indicates whether a text box accepts multiple lines of input or only a single line. Value type: boolean.

  - Value: `7`
  - Available since: 4.0
`GTK_ACCESSIBLE_PROPERTY_MULTI_SELECTABLE`

  Indicates that the user may select more than one item from the current selectable descendants. Value type: boolean.

  - Value: `8`
  - Available since: 4.0
`GTK_ACCESSIBLE_PROPERTY_ORIENTATION`

  Indicates whether the element’s orientation is horizontal, vertical, or unknown/ambiguous. Value type: `GtkOrientation`.

  - Value: `9`
  - Available since: 4.0
`GTK_ACCESSIBLE_PROPERTY_PLACEHOLDER`

  Defines a short hint (a word or short phrase) intended to aid the user with data entry when the control has no value. A hint could be a sample value or a brief description of the expected format. Value type: string.

  - Value: `10`
  - Available since: 4.0
`GTK_ACCESSIBLE_PROPERTY_READ_ONLY`

  Indicates that the element is not editable, but is otherwise operable. Value type: boolean.

  - Value: `11`
  - Available since: 4.0
`GTK_ACCESSIBLE_PROPERTY_REQUIRED`

  Indicates that user input is required on the element before a form may be submitted. Value type: boolean.

  - Value: `12`
  - Available since: 4.0
`GTK_ACCESSIBLE_PROPERTY_ROLE_DESCRIPTION`

  Defines a human-readable, author-localized description for the role of an element. Value type: string.

  - Value: `13`
  - Available since: 4.0
`GTK_ACCESSIBLE_PROPERTY_SORT`

  Indicates if items in a table or grid are sorted in ascending or descending order. Value type: `GtkAccessibleSort`.

  - Value: `14`
  - Available since: 4.0
`GTK_ACCESSIBLE_PROPERTY_VALUE_MAX`

  Defines the maximum allowed value for a range widget. Value type: double.

  - Value: `15`
  - Available since: 4.0
`GTK_ACCESSIBLE_PROPERTY_VALUE_MIN`

  Defines the minimum allowed value for a range widget. Value type: double.

  - Value: `16`
  - Available since: 4.0
`GTK_ACCESSIBLE_PROPERTY_VALUE_NOW`

  Defines the current value for a range widget. Value type: double.

  - Value: `17`
  - Available since: 4.0
`GTK_ACCESSIBLE_PROPERTY_VALUE_TEXT`

  Defines the human readable text alternative of aria-valuenow for a range widget. Value type: string.

  - Value: `18`
  - Available since: 4.0

#### Type functions

###### gtk_accessible_property_init_value

No description available.